Page MenuHomePhabricator

Ensure default branches for arcanist and libphutil from gerrit and diffusion clones are compatible with phabricator.wikimedia.org
Closed, ResolvedPublic

Description

Both repos default to checking out the "master" branch when cloned, but the "stable" branch is actually needed.

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedCmjohnson
ResolvedDzahn
Resolveddemon
Resolveddemon
ResolvedDanny_B
ResolvedPaladox
ResolvedPaladox
ResolvedNemo_bis
Resolveddemon
ResolvedPaladox
ResolvedKrenair
Resolvedmmodell
InvalidNone
DeclinedNone
Resolveddemon
InvalidNone
InvalidNone
ResolvedQgil
DeclinedNone
DuplicateNone
Resolvedgreg
Resolvedgreg
Resolveddemon

Event Timeline

bd808 created this task.Nov 6 2015, 11:29 PM
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 6 2015, 11:29 PM
greg renamed this task from Default branches for arcanist and libphutil from gerrit clones are not compatible with phabricator.wikimedia.org to Ensure default branches for arcanist and libphutil from gerrit and diffusion clones are compatible with phabricator.wikimedia.org.Nov 6 2015, 11:32 PM
greg set Security to None.
demon added a subscriber: demon.Nov 13 2015, 6:24 PM

I wonder if we had people clone arcanist and libphutil from us instead of upstream would help. Then we could maintain the version deployed and not have people accidentally pulling a version of arcanist/libphutil that won't work with our older Phab.

demon added a subscriber: mmodell.Nov 13 2015, 6:25 PM

Oh, that's what @mmodell said on the child task. This is more about *ensuring* these branches are correct.

bd808 added a comment.Nov 13 2015, 7:04 PM

The problem I ran into was that the default branch is "master" but in our clones the "stable" branch is the one that you need to use. My git fu is weak so I don't know the generic equivalent of the process that GitHub uses to allow changing the default branch.

@bd808: I fixed phabricator's copy of these repos, so rPHAB, rARC and rPHUTIL should all check out the correct branches by default. I'm not sure how to do this for gerrit but we should probably just host these in phabricator anyway.

demon added a comment.Nov 13 2015, 8:50 PM

@bd808: I fixed phabricator's copy of these repos, so rPHAB, rARC and rPHUTIL should all check out the correct branches by default. I'm not sure how to do this for gerrit but we should probably just host these in phabricator anyway.

I'm guessing you just use git symbolic-ref? I can do the same with Gerrit. I'm also fine with archiving them there and using 100% Phab4Phab.

Yeah I just updated the HEAD ref.

mmodell assigned this task to demon.Dec 1 2015, 6:37 PM

@demon: it's up to you, updating the HEAD ref on gerrit should be enough for now and then we can close this.

demon closed this task as Resolved.Dec 1 2015, 6:44 PM

Whoops forgot about this. All done on Gerrit, all 3 point to stable now.

demon moved this task from To Triage to Done/Archive on the Gerrit-Migration board.Dec 1 2015, 6:45 PM